import {Component, OnInit} from '@angular/core';
import {Router} from "@angular/router";
import {AppState} from "../../app-state";

@Component({
  selector: 'cre-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.sass']
})
export class HeaderComponent implements OnInit {
  links = [
    {route: 'color', title: 'Couleurs', enabled: true},
    {route: 'inventory', title: 'Inventaire', enabled: true},
    {route: 'account/login', title: 'Connexion', enabled: true},
    {route: 'account/logout', title: 'Déconnexion', enabled: false}
  ];
  _activeLink = this.links[0].route;

  constructor(
    private router: Router,
    private appState: AppState
  ) {
  }

  ngOnInit(): void {
    const loginLink = this.links[2]
    const logoutLink = this.links[3]
    loginLink.enabled = !this.appState.isAuthenticated
    logoutLink.enabled = this.appState.isAuthenticated

    this.appState.authenticatedUser$.subscribe({
      next: authentication => {
        loginLink.enabled = !authentication.authenticated
        logoutLink.enabled = authentication.authenticated
      }
    })
  }

  set activeLink(link: string) {
    this._activeLink = link;
    this.router.navigate([link]);
  }

  get activeLink() {
    return this._activeLink;
  }

  test(link: any) {
    console.log(link.condition ? link.condition() : true)
  }
}
