export class Employee {
  constructor(
    public id: number,
    public firstName: string,
    public lastName: string,
    public permissions: EmployeePermission[],
    public excludedPermissions: EmployeePermission[],
    public group?: EmployeeGroup,
    public lastLoginTime?: Date
  ) {
  }
}

export class EmployeeGroup {
  constructor(
    public id: number,
    public name: string,
    public permissions: EmployeePermission[]
  ) {
  }
}

export enum EmployeePermission {
  VIEW_EMPLOYEE,
  VIEW_EMPLOYEE_GROUP,
  VIEW,

  EDIT_EMPLOYEE,
  EDIT_EMPLOYEE_GROUP,
  EDIT,

  REMOVE_EMPLOYEE,
  REMOVE_EMPLOYEE_GROUP,
  REMOVE,

  ADMIN
}
