import { NgModule } from '@angular/core';
import { HeaderComponent } from './components/header/header.component';
import {MatTabsModule} from "@angular/material/tabs";
import {CommonModule} from "@angular/common";
import {MatCardModule} from "@angular/material/card";
import {MatButtonModule} from "@angular/material/button";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatInputModule} from "@angular/material/input";
import {MatIconModule} from "@angular/material/icon";
import {ReactiveFormsModule} from "@angular/forms";
import {RouterModule} from "@angular/router";
import { EmployeeInfoComponent } from './components/employee-info/employee-info.component';
import { LabeledIconComponent } from './components/labeled-icon/labeled-icon.component';



@NgModule({
  declarations: [HeaderComponent, EmployeeInfoComponent, LabeledIconComponent],
  exports: [
    HeaderComponent,
    MatCardModule,
    MatButtonModule,
    MatFormFieldModule,
    MatInputModule,
    MatIconModule,
    ReactiveFormsModule,
    RouterModule
  ],
  imports: [
    MatTabsModule,
    CommonModule,
    MatIconModule
  ]
})
export class SharedModule { }
